﻿using CommunityToolkit.Maui.Converters;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 선택 값 - SelectedValue

    /// <summary>
    /// 선택 값
    /// </summary>
    public int SelectedValue { get; set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        SelectedValue = 30;

        CompareConverter converter = new CompareConverter();

        converter.ComparisonOperator = CompareConverter<object>.OperatorType.Smaller;
        converter.ComparingValue     = 50;
        converter.TrueObject         = Colors.Blue;
        converter.FalseObject        = Colors.Red;

        this.label.SetBinding
        (
            Label.TextColorProperty,
            new Binding("SelectedValue", converter : converter)
        );

        BindingContext = this;
    }

    #endregion
}